/////////////////////////////////////////////////////////////////////////////
// DVIDraw.h
// 
// Copyright (C) David McCabe, 2001. <sunlightd@hotmail.com>
//
//  This file is part of Embedded TeX.
//  
//	Embedded TeX is free software; you can redistribute it and/or 
//	modify it under the terms of the GNU General Public License as 
//	published by the Free Software Foundation; either version 2, 
//	or (at your option) any later version.
//		
//	Embedded TeX is distributed in the hope that it will be useful, 
//	but WITHOUT ANY WARRANTY; without even the implied warranty of 
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
//	See the GNU General Public License for more details.
//	
//	You should have received a copy of the GNU General Public 
//	License along with Embedded TeX; if not, write to the Free 
//	Software Foundation, 59 Temple Place - Suite 330, Boston, 
//	MA 02111-1307, USA.
//
//	NOTE: This module is based on prior work as noted below:
//  
//		Yap: Copyright (C) 2000 Christian Schenk <cs@miktex.org>

#pragma once

class CDVIDraw
{
// Construction/destruction
public:
	CDVIDraw();
	~CDVIDraw();

// Operations
public:
	//Open a DVI format file and load it into this object.
	BOOL OpenDVI(LPCTSTR lpszPathName);
	//Draw the page at the specified offset.
	void DrawPage(HDC hDC, int x, int y);

// Attributes
public:
	//Find a rectangle enclosing all the objects on the page
	void GetBoundingBox(LPRECT pRect);

	//Get a pointer to the current page
	MiKTeX::dvipage	*GetPage()
	{
		return m_pPage;
	}

	//Get the current device resolution in dots per inch
	int		GetResolution() const;

// Implementation
protected:
	void DrawGlyphs(HDC hDC, int x = 0, int y = 0);
	void DrawRules(HDC hDC, bool bDrawBlackboards, int x, int y);

	//Construct a LPBITMAPINFO with the specified dimensions
	LPBITMAPINFO	MakeBitmapInfo(int width, int height, int bytesperline);

	LPBITMAPINFO	m_pbmi;
	
	bool			m_bScanned;
	int				m_iPageIdx;

	MiKTeX::dvi		*m_dvi;
	MiKTeX::dvipage	*m_pPage;
};

//{{AFX_INSERT_LOCATION}}
