/////////////////////////////////////////////////////////////////////////////
// EditDialog.cpp
// 
// Copyright (C) David McCabe, 2001. <sunlightd@hotmail.com>
//
//  This file is part of Embedded TeX.
//  
//	Embedded TeX is free software; you can redistribute it and/or 
//	modify it under the terms of the GNU General Public License as 
//	published by the Free Software Foundation; either version 2, 
//	or (at your option) any later version.
//		
//	Embedded TeX is distributed in the hope that it will be useful, 
//	but WITHOUT ANY WARRANTY; without even the implied warranty of 
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
//	See the GNU General Public License for more details.
//	
//	You should have received a copy of the GNU General Public 
//	License along with Embedded TeX; if not, write to the Free 
//	Software Foundation, 59 Temple Place - Suite 330, Boston, 
//	MA 02111-1307, USA.
//
//	This file holds the implementation of the main dialog box.

#include "stdafx.h"
#include "EditDialog.h"
#include "AboutDialog.h"
#include "OptionsDialog.h"

/////////////////////////////////////////////////////////////////////////////
// CEditDialog

LRESULT CEditDialog::OnInitDialog(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled)
{
	USES_CONVERSION;

	CheckDlgButton(IDC_AUTOSIZE, m_bAutoSize ? BST_CHECKED : BST_UNCHECKED);
	CheckDlgButton(IDC_FULLDOCUMENT, m_bFullDocument ? BST_CHECKED : BST_UNCHECKED);
	SetDlgItemText(IDC_SOURCE, OLE2T(m_sSource));
	return 1;  // Let the system set the focus
}

LRESULT CEditDialog::OnOK(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled)
{
	m_bAutoSize = IsDlgButtonChecked(IDC_AUTOSIZE);
	m_bFullDocument = IsDlgButtonChecked(IDC_FULLDOCUMENT);
	GetDlgItemText(IDC_SOURCE, (BSTR&)m_sSource);
	EndDialog(wID);
	return 0;
}

LRESULT CEditDialog::OnCancel(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled)
{
	EndDialog(wID);
	return 0;
}

LRESULT CEditDialog::OnAbout(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled)
{
	CAboutDialog	dlg;

	dlg.DoModal(m_hWnd);
	return 0;
}

LRESULT CEditDialog::OnOptions(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled)
{
	COptionsDialog	dlg;

	dlg.DoModal(m_hWnd);
	return 0;
}
