/////////////////////////////////////////////////////////////////////////////
// EditDialog.cpp
// 
// Copyright (C) David McCabe, 2001. <sunlightd@hotmail.com>
//
//  This file is part of Embedded TeX.
//  
//	Embedded TeX is free software; you can redistribute it and/or 
//	modify it under the terms of the GNU General Public License as 
//	published by the Free Software Foundation; either version 2, 
//	or (at your option) any later version.
//		
//	Embedded TeX is distributed in the hope that it will be useful, 
//	but WITHOUT ANY WARRANTY; without even the implied warranty of 
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
//	See the GNU General Public License for more details.
//	
//	You should have received a copy of the GNU General Public 
//	License along with Embedded TeX; if not, write to the Free 
//	Software Foundation, 59 Temple Place - Suite 330, Boston, 
//	MA 02111-1307, USA.
//
//	This file holds the implementation of the Options dialog box.

#include "stdafx.h"
#include "OptionsDialog.h"
#include "Globals.h"

/////////////////////////////////////////////////////////////////////////////
// COptionsDialog

LRESULT COptionsDialog::OnInitDialog(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled)
{
	USES_CONVERSION;

	MIKTEXMFMODE	mfmode;
	
	// Fill combo box with list of metafont modes
	for (int i = 0; MiKTeX::GetMETAFONTMode(i, &mfmode); ++i)
    {
		int nIndex = SendDlgItemMessage(IDC_DEVICE, CB_ADDSTRING, 0, (LPARAM)(LPCTSTR)A2T(mfmode.szDescription));
		SendDlgItemMessage(IDC_DEVICE, CB_SETITEMDATA, nIndex, i);
		if (i == g_nMetafontMode)
			SendDlgItemMessage(IDC_DEVICE, CB_SETCURSEL, nIndex, 0);
    }
	return TRUE;  // Let the system set the focus
}

LRESULT COptionsDialog::OnOK(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled)
{
	int nIndex = SendDlgItemMessage(IDC_DEVICE, CB_GETCURSEL, 0, 0);
	
	g_nMetafontMode = SendDlgItemMessage(IDC_DEVICE, CB_GETITEMDATA, nIndex, 0);
	EndDialog(wID);
	return 0;
}

LRESULT COptionsDialog::OnCancel(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled)
{
	EndDialog(wID);
	return 0;
}
